## apt-cacher 0.7-2

=== debian/changelog ===
apt-cacher (0.7-2) unstable; urgency=low

  * apt-cacher-report.pl: Not much visibly different, but most of
    the internals have been re-written after I started with just
    fixing #230934 and then couldn't stop myself:
     o Added support for reading rolled/compressed logfiles.
     o Fixed previously undetected bug introduced in 0.6-11 by the
       date handling patch: that change caused the latest logfile
       to nuke the logfile array, causing old logfiles to be
       ignored even though they were being opened. Doh!
     o Check for zero value of traffic and assign hit and miss
       values manually to fix divide by zero error.
       Closes: #230934
     o Set strings for start and end date if no records found.
     o Check size of traffic values (total, hit, miss) and set
       human-readable report strings in MB, or if >2000MB as GB
       rounded to 3 decimal places.

 -- Jonathan Oxer <jon@debian.org>  Wed,  4 Feb 2004 10:20:35 +1100

apt-cacher (0.7-1) unstable; urgency=low

  * apt-cacher-import.pl: At long last. I've answered the
    question "why can't I just copy .debs into the cache dir?"
    sooooo many times that I've finally done something about it.
    This supporting script traverses $cache_dir/import and imports
    any .debs it finds into $cache_dir. More info in 'man apt-cacher'.
    Of course, I did it in a half-assed way with a helper script
    rather than making it work transparently within apt-cacher.pl
    itself. Fixes welcome! Also fixes for the cludgy shell in it.
    Closes: #229466, #221576

 -- Jonathan Oxer <jon@debian.org>  Fri, 30 Jan 2004 11:59:55 +1100

apt-cacher (0.6-11) unstable; urgency=low

  * apt-cacher-cleanup.pl: Fix for neater handling of empty 
    Packages files. Patch by Lupe Christoph <lupe@lupe-christoph.de>.
    Closes: #225505
  * apt-cacher-report.pl: Fix for incorrect date handling when
    generating reports. Patch by Paul Schulz <pschulz@foursticks.com>.
    Closes: #218426
  * install.pl and remove.pl: Added support for auto-configuring 
    Apache2 on installation and removal. Note that I don't run it
    with Apache2 myself, so feedback on this is welcome.
    Closes: #197930
 -- Jonathan Oxer <jon@debian.org>  Tue, 30 Dec 2003 22:00:26 +1100

apt-cacher (0.6-10) unstable; urgency=low

  * apt-cacher.pl: Altered the mix of direct and system calls
    to where possible use system calls (ie: read->sysread, seek->
    sysseek, open->sysopen) at the suggestion of my favorite bug
    detective Peter Hawkins, to fix a potential infinite loop
    situation on file reads - but hey, this is Linux, isn't it 
    meant to do infinite loops in 5 seconds? :-P
    Closes: #196684
  * install.pl: Added prompts for SSL cert password on Apache
    restart at the suggestion of Brian Hunt.
  * remove.pl: Updated to use the config file parser in 
    apt-cacher-lib.pl rather than the old-style internal parser.
    Added prompts for SSL cert password on Apache restart.
  * upgrade.pl: Updated to use the config file parser in 
    apt-cacher-lib.pl rather than the old-style internal parser.
 -- Jonathan Oxer <jon@debian.org>  Tue, 10 Jun 2003 11:35:19 +1000

apt-cacher (0.6-9) unstable; urgency=low

  * apt-cacher.pl: Daniel Stone contributed a lot to this one, 
    providing me with an earlier version with changes in it to
    help fix the hated 500 Internal Server Error bug by catching a
    state where Wget makes a new file rather than truncating, and 
    thus changes the file descriptor out from under us. Those 
    changes were then merged forward to the most recent devel 
    version.
    Also added 'seek' command to handle reading files of varying 
    length, such as packages that are currently in the process of 
    being downloaded and are not the full length at the time 
    apt-cacher tries to stream them to the client: that patch and a 
    Perl lesson supplied by Adam Moore.
    Also changed the 'read' call to use sysread, at the suggestion 
    of Andreas Boeckler.
    All those changes together help prevent the 500 Internal Server 
    Error bug occuring in different situations. Thanks Daniel, Adam 
    and Andreas! Hopefully that stupid bug is gone for good now. 
    Yippee!
    Closes: #171059
  * apt-cacher.pl: More changes provided by Daniel Stone to fix a 
    potential race condition discovered by some very nice detective
    work by Peter Hawkins. Peter patched his local server, Daniel
    incorporated the changes into the version he sent me  :-)
    Closes: #180571
  * apt-cacher-cleanup.pl: Fixed references to configuration
    settings using a patch supplied by Stephan Niemz. Thanks Stephan!
    Closes: #184425

 -- Jonathan Oxer <jon@debian.org>  Thu, 26 May 2003 14:36:12 +1100

apt-cacher (0.6-8) unstable; urgency=low

  * apt-cacher-cleanup.pl, apt-cacher-report.pl, apt-cacher.pl, 
    apt-cacher-lib.pl: fixes by Jeff Williams to make the config
    parser use hashrefs. Thanks again Jeff!

 -- Jonathan Oxer <jon@debian.org>  Tue, 18 Feb 2003 11:00:56 +1100

apt-cacher (0.6-7) unstable; urgency=low

  * debian/apt-cacher.logrotate: added a logrotate config to roll
    access and error logs monthly. Thanks to Jacob Luna Lundberg
    for the suggestion!
  * apt-cacher-cleanup.pl: converted logfile reader to use proper
    Perl rather than kludgy shell, and to read the most recently
    rotated log if one exists.
  * apt-cacher-lib.pl: a new library for apt-cacher that so far
    only contains the config file parser, so that a lot of
    duplicate code can be ripped out of the main scripts. Based on
    a patch sent in by Jeff Williams. Thanks Jeff!
    
 -- Jonathan Oxer <jon@debian.org>  Mon, 10 Feb 2003 15:16:41 +1100

apt-cacher (0.6-6) unstable; urgency=low

  * apt-cacher-cleanup.pl: major rewrite by Jacob Luna Lundberg,
    including changes to handle varying header length of compressed
    packages, use of Compress::Zlib if available, and nicer handling

