## apt-cacher 0.8-4

=== debian/changelog ===
apt-cacher (0.8-4) unstable; urgency=low

  * Altered filename restriction regex to allow .tar.gz files.
    Closes: #259629

 -- Jonathan Oxer <jon@debian.org>  Tue, 20 Jul 2004 12:09:08 +1000

apt-cacher (0.8-3) unstable; urgency=low

  * Another file extension I missed: .udeb (used in the Debian
    installer).
    Closes: #259769

 -- Jonathan Oxer <jon@debian.org>  Sun, 18 Jul 2004 20:51:02 +1000

apt-cacher (0.8-2) unstable; urgency=low

  * Added file extensions used by source packages to the filename
    regex. Should now allow 'apt-get source ...' again.
    Closes: #259629

 -- Jonathan Oxer <jon@debian.org>  Fri, 16 Jul 2004 10:37:45 +1000

apt-cacher (0.8-1) unstable; urgency=low

  * New release with a whole new security mechanism: checks IP
    address of client and matches it against a range of addresses
    specified in the conf file using the 'allowed_hosts' directive.
    Closes: #251575

 -- Jonathan Oxer <jon@debian.org>  Tue, 13 Jul 2004 13:08:45 +1000

apt-cacher (0.7-3) unstable; urgency=low

  The "how many bugs can we fix at once?" release.
  * apt-cacher.pl: Check for undefined value which was showing an
    error in the log.
    Closes: #231187
  * apt-cacher.pl: Fix version number displayed
    Closes: #257409
  * remove.pl: Now removes logrotate file on removal of package
    (shouldn't this be taken care of by DPKG? The logrotate file
    is installed by it, so it should remove it. Anyway...)
    Closes: #253828
  * apt-cacher.pl: Expires 'Sources.gz' file now in addition to
    Packages.gz and Release (Thanks to Andreas Beckmann)
    Closes: #237889
  * apt-cacher.pl and apt-cacher.conf: Rate limiting by passing a
    '--rate-limit' argument to Wget. Thanks to Torbjorn Svensson
    for the patch!
    Closes: #255361
  * install.pl and remove.pl: No longer patches httpd.conf with an
    alias. Now just symlinks to the apache config snippet from
    conf.d, so we never touch httpd.conf. No more runaway entries!
    Closes: #242365
  * install.pl: Activates cgi module in Apache2.
    Closes: #250599
  * apt-cacher.pl: Check for name of file being requested. As a
    partial answer to bug #251575 (still to be fixed properly) the
    name of the file is now checked. If it isn't a .deb, .rpm,
    Packages.gz, Sources.gz or Release file it's rejected with 403
    Forbidden. That may trip up people if they don't compress the
    Packages file, so if this causes grief please let me know ASAP.

 -- Jonathan Oxer <jon@debian.org>  Tue,  6 Jul 2004 15:11:19 +1000
