=== debian/control ===
Source: apt-cacher
Section: net
Priority: optional
Maintainer: Jonathan Oxer <jon@debian.org>
Build-Depends-Indep: debhelper (>> 4.0.0), perl (>=5.6.0-16), wget, apache | apache-ssl, bzip2
Standards-Version: 3.5.9.0

Package: apt-cacher
Architecture: all
Depends: perl (>=5.6.0-16), wget, apache | apache-ssl | apache2, bzip2
Description: Caching system for .deb packages
 Apt-cacher performs caching of .deb packages which
 have been downloaded by local users. When a package
 is requested, the cache checks whether it already
 has the latest version, in which case it sends the
 package to the user immediately. If not, it
 downloads the package while streaming it to the user
 at the same time. A local copy is then kept for use
 by other users.
