## apt-cacher 0.9.4sarge1

=== debian/changelog ===
apt-cacher (0.9.4sarge1) stable-security; urgency=high

  * Non-maintainer upload by The Security Team.
  * Fixes arbitary command execution as httpd user. (CAN-2005-1854)

 -- Steve Kemp <skx@debian.org>  Sun, 30 Jul 2005 14:01:23 +0200

apt-cacher (0.9.4) unstable; urgency=high

  * removed /var/{log,cache}/apt-cacher from debian/dirs to manage them
    without interferences via postinst/prerm, calling
    install.pl/remove.pl/upgrade.pl (closes: #310990). This bug was hidden
    before and came to daylight after the rewrite of the old (ownership
    overriding) code in 0.9.
  * fixed the size calculation in the access.log (closes: #311001)
  * found another stupid bug in install.pl, it removed the files README and
    README.txt in the directory where dpkg has been started
  * added more visible advisories to run apt-cacher-format-transition.pl in
    NEWS.Debian and README.Debian
  * commented out the allowed_locations example in apt-cacher.conf, it should
    not restrict by default

 -- Eduard Bloch <blade@debian.org>  Fri, 27 May 2005 18:20:49 +0200

apt-cacher (0.9.3) unstable; urgency=high

  * removed some forgotten debug statements and also a "testing" die; command
    in the checksumming lib (closes: #310393)
  * fixed the adding of CGI var separator ? in the sample sources.list URLs
    and used &nbsp; to not break the lines on extreme low-res monitors
    (closes: #310387)

 -- Eduard Bloch <blade@debian.org>  Tue, 24 May 2005 18:42:42 +0200

apt-cacher (0.9.2) unstable; urgency=low

  * added a possible solution for server redundancy with faked cache 
    serves to README.Debian (closes: #230796)
  * not blocking access if allowed_hosts was omited (restoring the default
    config behaviour used before the IPv6 patch)
  * "nice mode" in cleanup, refreshing the index files first and then
    continuing with low priority
  * transition of apt-cacher symlink to apt-cacher.conf in apache2
    configuration which most likely also fixes the last
    issue in another bug report (closes: #307579, #264147)
  * more verbose error messages with allowed_locations option, patch by
    Andreas J Koenig (closes: #309597)
  * removed obsolete references to www.apt-cacher.org from the report generator

 -- Eduard Bloch <blade@debian.org>  Sun, 22 May 2005 11:37:58 +0200

apt-cacher (0.9.1) unstable; urgency=medium

  * upload to unstable with few changes
  * fixed NEWS.Debian (header differed from changelog) and updated notes
  * added precache-by-Priority feature to apt-precache.pl

 -- Eduard Bloch <blade@debian.org>  Mon, 16 May 2005 12:29:12 +0200

apt-cacher (0.9) experimental; urgency=medium

  * New main maintainer (Jonathan & me -> Uploaders:)
  * new format, separates package contents and HTTP headers 
    (closes: #274975). The new script apt-cacher-format-transition.pl converts
    the old cached files to the new version and moves the parts to the new
    locations
  * used syswrite/sysread where appropriate to minimise effects of Perl
    buffering in combination with Apache2 (avoids apt-get's long 
    "waiting for headers" phase in most cases, still appears from time to
    time, but not soo often.
  * uses modification times of index files if configured, this should avoid
    desynchronisation of some files (closes: #180544). Used curl to get the
    HTTP head for that (wget was just too stupid with its timestamping
    abilities). By the way rewrote the fetcher code to use curl only, removing
    the wget depedency (closes: #277279)
  * rewrote large parts of unsafe code, worked around race conditions
    (closes:#251468), fixed some crap like inserting of status code into
    half-downloaded files (closes: #251660), really detached the fetcher
    thread from the reader when the file is initialy beeing downloaded, and
    made error code passing more reliable
  * removed another useless fork (thread-over-thread-over-thread, jeez...)
  * removed the CHLD handler that fscked up the return codes that I needed
    from close (became cruft anways since I dropped the unneccessary forking)
    It now also fails sanely on mirror failure conditions (closes:#203123)
  * allowing alternative URL scheme (with apt-cacher?/server/...) which does
    work with alternative http daemons and added alternative dependency on boa
    and httpd-cgi (closes: #282599, #273776)
  * applied patch from Peter Denison <bug-reports@marshadder.uklinux.net> for
    more flexible names of index files (closes: #267680)
  * IPv6 & filtering patch by Darren Salt (closes: #294617, #278070)
  * added my patch to do basic URL filtering (closes: #307151)
  * README.Debian update to the new stuff, removed cruft in debian/debian-old
  * rewrote the import script, made it work more efficient and work around the
    epoch numbers in the file names from apt's cache (closes: #278799)
  * rewrote and simplified the cleanup script (closes: #299404), also added
    support for source files and bzip2 compression (closes: #261273, #305956).
    Also made it refresh the index files rather then relying on possibly
    outdated data (or missing data because of tiffani/apt-dupdate usage) and
    really lock them while reading to not kill the cached data because the
    file is beeing downloaded just while the cleanup process runs
  * changed install.pl to copy the ownership of new files/directories and only
    doing so when they are new, rather than resetting them to www-data, and on
    every package upgrade
  * added my apt-precache.pl script for people that may need this toy 
    (closes: #305175). It still needs some refinement to control the
    expiration of the "subscriptions".
  * added hooks for checksumming of forwarded packages
  * new feature: checksumming of data (downloaded and uploaded). Optionaly,
    see README.Debian for instructions to enable it (closes: #274059)

 -- Eduard Bloch <blade@debian.org>  Thu, 12 May 2005 09:01:03 +0200

apt-cacher (0.8.6) unstable; urgency=low


