=== debian/control ===
Source: apt-cacher
Section: net
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Uploaders: Eduard Bloch <blade@debian.org>, Jonathan Oxer <jon@debian.org>
Build-Depends-Indep: debhelper (>> 4.0.0), perl (>=5.6.0-16)
Standards-Version: 3.6.1

Package: apt-cacher
Architecture: all
Depends: perl (>=5.6.0-16), curl, apache | apache-ssl | apache2 | boa | httpd-cgi
Description: caching system for Debian package and source files
 Apt-cacher performs caching of .deb and source packages which
 have been downloaded by local users. When a package
 is requested, the cache checks whether it already
 has the latest version, in which case it sends the
 package to the user immediately. If not, it
 downloads the package while streaming it to the user
 at the same time. A local copy is then kept for use
 by other users.
