=== debian/rules ===
--- 
+++ 
@@ -68,12 +68,16 @@
 	dh_installdirs
 
 	install -m644 apt-cacher.conf debian/apt-cacher/etc/apt-cacher/apt-cacher.conf
+	install -m644 checksumming.conf debian/apt-cacher/etc/apt-cacher/checksumming.conf
 	install -m644 apache.conf debian/apt-cacher/etc/apt-cacher/apache.conf
 	install -m755 apt-cacher.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher.pl
 	install -m755 apt-cacher-report.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-report.pl
 	install -m755 apt-cacher-cleanup.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-cleanup.pl
+	install -m755 apt-precache.pl debian/apt-cacher/usr/share/apt-cacher/apt-precache.pl
+	install -m755 apt-cacher-format-transition.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-format-transition.pl
 	install -m755 apt-cacher-import.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-import.pl
 	install -m755 apt-cacher-lib.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-lib.pl
+	install -m755 apt-cacher-lib-cs.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-lib-cs.pl
 	install -m755 apt-cacher debian/apt-cacher/etc/cron.daily/apt-cacher
 	install -m755 install.pl debian/apt-cacher/usr/share/apt-cacher/install.pl
 	install -m755 remove.pl debian/apt-cacher/usr/share/apt-cacher/remove.pl
