## apt-cacher 1.0.12

=== debian/changelog ===
apt-cacher (1.0.12) unstable; urgency=high

  * set the CGI_MODE flag in apt-cacher.pl wrapper (closes: #324572)
  * a one-line fix for an obvious bug already slipped into testing, thus the
    severity choice

 -- Eduard Bloch <blade@debian.org>  Tue, 30 Aug 2005 10:33:09 +0200

apt-cacher (1.0.11) unstable; urgency=medium

  * the REMOTE_ADDR interpretation had unexpected side effects, script was
    executed in paranoid CGI mode when runned from apt-cacher-cleanup.pl, so
    CGI script has finally been separated: apt-cacher.pl as invoked by httpd
    sets clear flags and then executs the normal code (installed in a separate
    file now)
  * better controled termination of child processes now making restarts more
    reliable

 -- Eduard Bloch <blade@debian.org>  Sun, 21 Aug 2005 13:12:07 +0200

apt-cacher (1.0.10) unstable; urgency=low

  * manpage updates and hyphenisation fixes by Bastian Kleineidam 
    (closes: Bug#323955)
  * apt-cacher-import.pl: speedup (removed date calls) and using correct date
    specification from HTTP::Date

 -- Eduard Bloch <blade@debian.org>  Fri, 19 Aug 2005 22:21:26 +0200

apt-cacher (1.0.9) unstable; urgency=low

  * pidfile could have been created too late with -d, fixed
  * -p option documented

 -- Eduard Bloch <blade@debian.org>  Fri, 19 Aug 2005 10:16:23 +0200

apt-cacher (1.0.8) unstable; urgency=medium

  * checks for valid host/uri without warnings
  * added -R N option to try to bind the socket N times with 5s interval
  * -d forks away only after the daemon is ready
  * added a TERM handler to close all connections and reliable shut down the
    daemon
  * interpretation of REMOTE_ADDR even in inetd / direct call mode
  * fix for the path_map parser, correct separator detection

 -- Eduard Bloch <blade@debian.org>  Fri, 19 Aug 2005 02:37:54 +0200

apt-cacher (1.0.7) unstable; urgency=medium

  * fixed a nasty bug in apt-cacher-cleanup.pl (copy&paste with insufficient
    testing, closes: #323037)
  * better warnings in apt-cacher-cleanup.pl, --force disables the
    "downloability check"

 -- Eduard Bloch <blade@debian.org>  Sun, 14 Aug 2005 14:36:23 +0200

apt-cacher (1.0.6) unstable; urgency=low

  * added an evil script (apt-proxy-to-apt-cacher) to take relevant
    configuration data from apt-proxy and assimilate its cache
  * config file parser improvements: speedup and multiline support
  * new config option: path_map to map visible paths to one or multiple servers
  * new features: server-hopping (using alternative backends on failures) and
    recursive import from whole filesystems (eg. DVD), optionally read-only
    (making hard links or copies)

 -- Eduard Bloch <blade@debian.org>  Sat, 13 Aug 2005 14:41:09 +0200

apt-cacher (1.0.5) unstable; urgency=low

  * tolerate two slashes in the beginning of the location URL
  * closing connection on 404 errors to avoid apt-get freezes

 -- Eduard Bloch <blade@debian.org>  Wed, 10 Aug 2005 12:53:53 +0200

apt-cacher (1.0.4) unstable; urgency=low

  * now a real fix for the CGI status line output, fixes the accidential
    supressing of it in certain situations (closes: #322299)
  * apt-cacher-cleanup now removes orphaned .notify files (after few days)
    which could be left behind by the some download processes in version 1.0.2
    or after killing fetcher processes, system crashes, etc.
  * proper printing of usage info if the path has been omited
  * new option to print text with HTTP 410 messages, eg. to advise users to
    change sources.list to use apt-cacher in server mode

 -- Eduard Bloch <blade@debian.org>  Wed, 10 Aug 2005 11:48:38 +0200

apt-cacher (1.0.3) unstable; urgency=low

  * Fix for not outputing the HTTP status line in CGI mode (confused apache2)
  * added sanity checks for effective user ID in apt-cacher-cleanup.pl to stop
    poisoning the cache with files with wrong permissions

 -- Eduard Bloch <blade@debian.org>  Sun, 07 Aug 2005 10:37:32 +0200

apt-cacher (1.0.2) unstable; urgency=low

  * fixed a bug with apt-cacher-cleanup.pl and extract_sums method (which
    appeared with Sarge's Perl only and not before)
  * added a download success check in cleanup to not let it nuke the whole
    cache if the mirror server has been unreachable for some minutes

 -- Eduard Bloch <blade@debian.org>  Sat,  6 Aug 2005 15:58:31 +0200

apt-cacher (1.0.1) unstable; urgency=low

  * passing EXTRAOPT in the init script

 -- Eduard Bloch <blade@debian.org>  Sat,  6 Aug 2005 14:24:58 +0200

apt-cacher (1.0.0) unstable; urgency=low

  * more safe options parsing
  * added a config option for the address to listen on
  * moved user and group settings to the configuration file
  * cleanup and precache script updates
  * description update: a bit power selling to express what it actually does
  * init script added
  * created the symlink in /usr/sbin/apt-cacher. Kept the httpd configuration
    installation hooks for compatibility with existing setups.

 -- Eduard Bloch <blade@debian.org>  Sat, 06 Aug 2005 10:54:06 +0200

apt-cacher (0.9.12) experimental; urgency=low

  * parts of design reverted back to the old method:
    + separate fetcher threat, spawned as needed
    + error message passing much more safe and should now be really reliable
      with more than one reader
    + file handles cleanup

 -- Eduard Bloch <blade@debian.org>  Sat, 06 Aug 2005 01:20:38 +0200

apt-cacher (0.9.11) experimental; urgency=low

  * apt-cacher has been rewritten in the most parts:
    + can act as a stand-alone daemon, an inetd daemon or as user / CGI
      program (dropped dependency on httpd-cgi)
    + using libwww-perl as download agent, stopped using curl tool. Using
      libcurl3 instead is beeing considered
  * added bzip2 to dependency list (closes: #319709)
  * removed visible references to www.apt-cacher.org

 -- Eduard Bloch <blade@debian.org>  Thu, 04 Aug 2005 17:38:25 +0200

apt-cacher (0.9.10) unstable; urgency=high


