=== debian/control ===
Source: apt-cacher
Section: net
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Uploaders: Eduard Bloch <blade@debian.org>, Jonathan Oxer <jon@debian.org>
Build-Depends-Indep: debhelper (>> 4.0.0), perl (>=5.6.0-16)
Standards-Version: 3.6.2.1

Package: apt-cacher
Architecture: all
Depends: ${perl:Depends}, bzip2, libwww-perl
Suggests: libdb-sqlite3-perl
Description: caching system for Debian package and source files
 Apt-cacher performs caching of .deb and source packages which have been
 downloaded by local users (aka package proxy). It is most useful for local
 area networks with slow internet link.
 .
 When a package is requested, the cache checks whether it already has the
 expected version, in which case it sends the package to the user immediately.
 If not, it downloads the package while streaming it to the user at the same
 time. A local copy is then kept for use by other users.
 .
 Apt-cacher has been optimized to get the best utilization from the network
 connection and good response times and troughput even on slow low-memory
 servers. Multiple ways of installation are possible: as a stand-alone HTTP
 server, as a daemon executed by inetd or as a CGI program.
 .
 The package includes utilities to import already downloaded packages from
 local media into the cache (even using file links to save space), to clean the
 cache removing obsolete package files and a HTML report generator.
 Experimental features include a simple package checksum verification useful on
 unstable networks and pre-fetching of packages, selecting the list based on
 various criteria.
