=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,6 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	# Add here commands to configure the package.
-
 	touch configure-stamp
 
 
@@ -47,8 +45,8 @@
 	touch build-indep-stamp
 
 build: build-arch build-indep
-	perl Makefile.PL INSTALLDIRS=vendor
-	$(MAKE) OPTIMIZE="-O2 -G -Wall"
+#	perl Makefile.PL INSTALLDIRS=vendor
+#	$(MAKE) OPTIMIZE="-O2 -G -Wall"
 	
 clean:
 	dh_testdir
@@ -65,15 +63,18 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
-	dh_installdirs
+	dh_installdirs usr/sbin
 
 	install -m644 apt-cacher.conf debian/apt-cacher/etc/apt-cacher/apt-cacher.conf
 	install -m644 checksumming.conf debian/apt-cacher/etc/apt-cacher/checksumming.conf
 	install -m644 apache.conf debian/apt-cacher/etc/apt-cacher/apache.conf
 	install -m755 apt-cacher.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher.pl
+	install -m755 apt-cacher2 debian/apt-cacher/usr/share/apt-cacher/apt-cacher
+	install -m755 apt-proxy-to-apt-cacher debian/apt-cacher/usr/share/apt-cacher/
+	ln -sf   ../share/apt-cacher/apt-cacher debian/apt-cacher/usr/sbin/apt-cacher 
 	install -m755 apt-cacher-report.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-report.pl
 	install -m755 apt-cacher-cleanup.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-cleanup.pl
-	install -m755 apt-precache.pl debian/apt-cacher/usr/share/apt-cacher/apt-precache.pl
+	install -m755 apt-cacher-precache.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-precache.pl
 	install -m755 apt-cacher-format-transition.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-format-transition.pl
 	install -m755 apt-cacher-import.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-import.pl
 	install -m755 apt-cacher-lib.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-lib.pl
@@ -82,10 +83,7 @@
 	install -m755 install.pl debian/apt-cacher/usr/share/apt-cacher/install.pl
 	install -m755 remove.pl debian/apt-cacher/usr/share/apt-cacher/remove.pl
 	install -m755 upgrade.pl debian/apt-cacher/usr/share/apt-cacher/upgrade.pl
-	# Add here commands to install the package into debian/apt-cacher.
-	#$(MAKE) install PREFIX=$(CURDIR)/debian/apt-cacher/usr
-
-#	dh_movefiles
+	perl -pe 's/^\$$version=.*/\$$version="'$(shell dpkg-parsechangelog  | grep ^Version | cut -f2 -d\  )'";/' -i $(CURDIR)/debian/apt-cacher/usr/share/apt-cacher/*.pl
 
 # Build architecture-independent files here.
 # Pass -i to all debhelper commands in this target to reduce clutter.
@@ -100,7 +98,7 @@
 #	dh_installemacsen -i
 #	dh_installpam -i
 #	dh_installmime -i
-#	dh_installinit -i
+	dh_installinit -i
 	dh_installcron -i
 	dh_installman -i debian/apt-cacher.1
 	dh_installinfo -i
@@ -110,7 +108,7 @@
 	dh_compress -i
 	dh_fixperms -i
 	dh_installdeb -i
-#	dh_perl -i
+	dh_perl -i
 	dh_gencontrol -i
 	dh_md5sums -i
 	dh_builddeb -i
