## apt-cacher 1.4.1

=== debian/changelog ===
apt-cacher (1.4.1) unstable; urgency=low

  * set treshhold for unparsed lines back to old value but reseting it when a
    valid GET/HEAD request was accepted
  * workaround: closing connection after TE headers, apt confused sometimes

 -- Eduard Bloch <blade@debian.org>  Sun, 08 Jan 2006 15:19:24 +0100

apt-cacher (1.4) unstable; urgency=low

  * now really closes: #345878
  * renamed NEWS.Debian file to become correctly installed by debhelper (4.x).
    Thanks to Sven Hartge for pointing at the problem.

 -- Eduard Bloch <blade@debian.org>  Fri, 06 Jan 2006 03:08:57 +0100

apt-cacher (1.3) unstable; urgency=low

  * the "don't release after midnight" release
  * ignoring If-Modified-Since if Range field was seen, forcing
    local retransmissions of a file
  * removed a forgotten todo mark from the last changelog entry
  * actually changed the threshold for unparased lines now

 -- Eduard Bloch <blade@debian.org>  Fri, 06 Jan 2006 02:33:48 +0100

apt-cacher (1.2) unstable; urgency=low

  * allowed "Index" files but documented the "refetching" behaviour of cleanup
    in NEWS.Debian
  * using ISO 8601 format for date/time in report pages (closes: #327356)
  * spelling error fixes in apt-cacher.1 (closes: #337545)
  * increased the treshhold of unparsed request lines to stop throwing "Go
    away" messages
  * disabled the child reaper code (caused races). This restores the old
    behaviour of downloads not stopping on client exit.
  * moved setgid code before setuid code to make it actually work, also using
    standard perl variables instead of POSIX module (closes: #341348)
  * also removing /var/log/apt-cacher when purging (closes: #326050)
  * a bit code refactoring
  * more carefull forwarding of header fields on error reports. Solves a "bug"
    which resulted in apt-get hanging forever or becoming confused because it
    assumed a premature connection termination. Now it does keep the
    connection open while forwarding error status headers.
  * replace all underscores with / when reconstructing the URL which is not
    available if downloaded by an old apt-cacher version (closes: #345878)
  * updates to the manpage (FAQ, mistakes, more details) and
    apt-cacher-cleanup.pl help message (closes: #345286)
  * debian/copyright: FSF address update

 -- Eduard Bloch <blade@debian.org>  Fri, 06 Jan 2006 00:50:52 +0100

apt-cacher (1.1) unstable; urgency=low

  * setting ReuseAddr to avoid port collision with running instances on restart

 -- Eduard Bloch <blade@debian.org>  Mon, 26 Sep 2005 10:40:28 +0200
